# Fn<> CompareType
Type to convert other types for comparisons.

Defined in | <seqan/basic.h>
Signature | `CompareType<T1, T2>::Type;`

## Template Parameters

`T2` | Type of the right operand of a comparison.
`T1` | Type of the left operand of a comparison.

## Return Values

`Type` | The resulting type to convert other type to.

## Detailed Description

Comparisons are for example operators like `==` or `<`.

Do not implement, implement CompareTypeImpl instead.

Note that there is no rule that guarantees that `CompareType<T1, T2>::Type` is the same as `CompareType<T2, T1>::Type`. It is also possible, that only one of these two types is defined.

This metafunction is used for the implementation of comparisons that involve SimpleType.

## See Also

- CompareTypeImpl

#### Dox Sources

    /*!
     * @mfn CompareType
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Type to convert other types for comparisons.
     *
     * @signature CompareType<T1, T2>::Type;
     *
     * @tparam T2 Type of the right operand of a comparison.
     * @tparam T1 Type of the left operand of a comparison.
     *
     * @return Type The resulting type to convert other type to.
     *
     * Comparisons are for example operators like <tt>==</tt> or <tt>&lt;</tt>.
     *
     * Do not implement, implement CompareTypeImpl instead.
     *
     * Note that there is no rule that guarantees that <tt>CompareType&lt;T1,
     * T2&gt;::Type</tt> is the same as <tt>CompareType&lt;T2, T1&gt;::Type</tt>. It
     * is also possible, that only one of these two types is defined.
     *
     * This metafunction is used for the implementation of comparisons that involve
     * SimpleType.
     *
     * @see CompareTypeImpl
     */